%define upstream_name    ParseLex
%define upstream_version 2.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Generator of lexical analyzers 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PV/PVERD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Parse::Template) >= 3.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(integer)
BuildArch:  noarch

Obsoletes:  perl-Parse-Lex

%description
The Parse::Lex.pm module for perl5 is an object-oriented generator of
lexical analyzers.

This distribution includes Parse::YYLex (writed by Vladimir Alexiev)
a lexer generator that you can use with yacc parsers.

A collection of examples demonstrating various
Parse::Lex/Parse::LevEvent features can be found in the "examples"
directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README VERSION examples
%{perl_vendorlib}/Parse
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.210.0-8pclos2017
- rebuild against updates

